/*
	File:		TestPriorityList.h

	Contains:	Declaration for TTestPriorityList class

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TESTPRIORITYLIST__
#define __TESTPRIORITYLIST__

#ifndef __TESTCLASS__
#include "TestClass.h"
#endif
#ifndef __LIBRARYMANAGERCLASSES__
#include <LibraryManagerClasses.h>
#endif

#define kTTestPriorityListID	kTestToolPrefix "TTestPriorityList,1.2"


class TTestPriorityList : public TTestTool
{
	BodyTest(PriorityList, PriorityList);
	
	virtual void	TestIsEmpty(Boolean) const;
	virtual void	TestCount(size_t) const;
	virtual void	TestFirstLast(short, short, short) const;
	virtual void	TestMember(short, Boolean) const;
	
	TPriorityLink*	fArray[100];
};

#endif


